Subject: bug#62845: 29.0.90; nntp-with-open-group-function kills current buffer on timeout

From: Andreas Schwab <[email-masked]>
Date: Sat, 06 May 2023 08:13:48 +0200

On Mai 05 2023, Eric Abrahamsen wrote:

> The answer is, that mechanism is designed to work only once. If the
> connection is dead or times out, it catches that condition once and
> tries to re-connect, and won't catch it a second time. So we'd have to
> be hitting the timeout twice in a row to see this (which definitely
> happens). I still think it's best just to revert 032969e8c65 on Emacs 29.

When the timeout happens the server buffer is killed.  Reopening the
connection creates a new buffer, but the current buffer remains dead.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."